import { get, put, post, deletes } from '@/http/index'

// 查询故障所需设备列表
export const getFaultEquipment = async (data) => {
  return await get('/als/faultEquipment/list', data)
}

// 新增故障所需设备
export const addFaultEquipment = async (data) => {
  return await post('/als/faultEquipment', data)
}

// 修改故障所需设备
export const updateFaultEquipment = async (data) => {
  return await put('/als/faultEquipment', data)
}

// 删除故障所需设备
export const removeFaultEquipment = async (id) => {
  return await deletes('/als/faultEquipment/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
